/** 
 * @file test/statuscallstest.c
 * @brief testcase for util/statuscalls.c
 **/

#include "gnunet_util.h"

int main(int argc, char * argv[]){
  int i;
  int ret;

  initUtil(argc, argv, NULL);

  for (i=0;i<3;i++) {
    if (cpuUsage() == -1) {
      printf("cpuUsage == -1\n");
      return -1;
    }
    if (networkUsage() == -1) {
      printf("networkUsage == -1\n");    
      return -1;
    }
    sleep(1);
  }
  sleep(2);
  ret = cpuUsage();
  for (i=0;i<1000000;i++)
    sqrt(245.2523); /* do some processing to drive load up */
  if (ret < cpuUsage()) 
    printf("WARNING: busy loop increased CPU load: %d < %d.\n",
	   ret,
	   cpuUsage());
  
  /* make sure we don't leak open files... */
  for (i=0;i<10000;i++) {
    if (cpuUsage() == -1)
      return -1;
    if (networkUsage() == -1)
      return -1;
  }
  doneUtil();

  return 0;
}
